import { PropType } from 'vue';
import { FormItemLabelAlign, FryOrientationType } from '../types';
declare const _default: import("vue").DefineComponent<{
    /**标签文本 */
    label: {
        type: StringConstructor;
        required: true;
    };
    width: {
        type: StringConstructor;
        default: string;
    };
    /**错误信息 */
    errorMessage: {
        type: StringConstructor;
        default: string;
    };
    /**标签的宽度 */
    labelWidth: {
        default: string;
        type: StringConstructor;
    };
    labelAlign: {
        default: string;
        type: PropType<FormItemLabelAlign>;
    };
    mode: {
        type: PropType<FryOrientationType>;
        default: string;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**标签文本 */
    label: {
        type: StringConstructor;
        required: true;
    };
    width: {
        type: StringConstructor;
        default: string;
    };
    /**错误信息 */
    errorMessage: {
        type: StringConstructor;
        default: string;
    };
    /**标签的宽度 */
    labelWidth: {
        default: string;
        type: StringConstructor;
    };
    labelAlign: {
        default: string;
        type: PropType<FormItemLabelAlign>;
    };
    mode: {
        type: PropType<FryOrientationType>;
        default: string;
    };
}>>, {
    mode: FryOrientationType;
    width: string;
    errorMessage: string;
    labelWidth: string;
    labelAlign: FormItemLabelAlign;
}, {}>;
export default _default;
