import { App } from 'vue';
import * as components from './components';
export * from "./InstallTypes";
export * from './components';
export { FryIconList } from "./components/icon/type";
export type { IconName } from "./components/icon/type";
export declare const version: string;
import { InstallOption } from './InstallTypes';
export declare const install: (app: App, opt?: InstallOption) => void;
declare const _default: {
    Modal: import("vue").DefineComponent<{
        zIndex: {
            type: NumberConstructor;
            default: number;
        };
        width: {
            type: (StringConstructor | NumberConstructor)[];
            default: number;
        };
        height: (StringConstructor | NumberConstructor)[];
        title: {
            type: StringConstructor;
        };
        modelValue: {
            type: BooleanConstructor;
            default: boolean;
        };
        showCancelBtn: {
            type: BooleanConstructor;
            default: boolean;
        };
        beforeConfirmClose: import("vue").PropType<() => Promise<unknown>>;
        class: any;
        headerClass: any;
        cancelBtnText: StringConstructor;
        cancelBtnClass: null;
        confirmBtnText: StringConstructor;
        confirmBtnClass: null;
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        cancel: null;
        confirm: null;
        "update:modelValue": null;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        zIndex: {
            type: NumberConstructor;
            default: number;
        };
        width: {
            type: (StringConstructor | NumberConstructor)[];
            default: number;
        };
        height: (StringConstructor | NumberConstructor)[];
        title: {
            type: StringConstructor;
        };
        modelValue: {
            type: BooleanConstructor;
            default: boolean;
        };
        showCancelBtn: {
            type: BooleanConstructor;
            default: boolean;
        };
        beforeConfirmClose: import("vue").PropType<() => Promise<unknown>>;
        class: any;
        headerClass: any;
        cancelBtnText: StringConstructor;
        cancelBtnClass: null;
        confirmBtnText: StringConstructor;
        confirmBtnClass: null;
    }>> & {
        onCancel?: ((...args: any[]) => any) | undefined;
        onConfirm?: ((...args: any[]) => any) | undefined;
        "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    }, {
        width: string | number;
        class: any;
        zIndex: number;
        modelValue: boolean;
        showCancelBtn: boolean;
        headerClass: any;
    }, {}>;
    Button: import("vue").DefineComponent<{
        type: {
            type: import("./components/button/types").btnTypeProps;
            default: string;
        };
        "v-slots": {
            type: import("vue").PropType<import("./components/button/types").BtnSlots>;
            default: {};
        };
        ghost: {
            type: BooleanConstructor;
            default: boolean;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        class: null;
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        click: null;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        type: {
            type: import("./components/button/types").btnTypeProps;
            default: string;
        };
        "v-slots": {
            type: import("vue").PropType<import("./components/button/types").BtnSlots>;
            default: {};
        };
        ghost: {
            type: BooleanConstructor;
            default: boolean;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        class: null;
    }>> & {
        onClick?: ((...args: any[]) => any) | undefined;
    }, {
        type: import("./components/button/types").BtnType;
        "v-slots": import("./components/button/types").BtnSlots;
        ghost: boolean;
        disabled: boolean;
    }, {}>;
    CreateButton: typeof components.CreateButton;
    Table: import("vue").DefineComponent<{
        columns: {
            type: import("./components/table/propTypes").propcolumns;
            default(): never[];
        };
        data: {
            type: import("./components/table/propTypes").propdata;
            default(): never[];
        };
        border: {
            type: BooleanConstructor;
            default: boolean;
        };
        expandRender: import("./components/table/propTypes").propExpandRender;
        expandClass: any;
        treeClassName: any;
        loading: BooleanConstructor;
        rowClassName: import("vue").PropType<string | object | any[] | ((row: any, index: number, other: import("./components/table/default").HandelOther) => any) | undefined>;
        width: {
            type: (StringConstructor | NumberConstructor)[];
            default: string;
        };
        height: {
            type: (StringConstructor | NumberConstructor)[];
            default: string;
        };
        emptyText: StringConstructor;
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        selectionChange: (data: import("./components/table/propTypes").TabelData) => null;
        load: (param: import("./components/table/types").TableEmitsLoad) => true;
        rowClick: (row: any, index: number) => true;
        rowDblClick: (row: any, index: number) => true;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        columns: {
            type: import("./components/table/propTypes").propcolumns;
            default(): never[];
        };
        data: {
            type: import("./components/table/propTypes").propdata;
            default(): never[];
        };
        border: {
            type: BooleanConstructor;
            default: boolean;
        };
        expandRender: import("./components/table/propTypes").propExpandRender;
        expandClass: any;
        treeClassName: any;
        loading: BooleanConstructor;
        rowClassName: import("vue").PropType<string | object | any[] | ((row: any, index: number, other: import("./components/table/default").HandelOther) => any) | undefined>;
        width: {
            type: (StringConstructor | NumberConstructor)[];
            default: string;
        };
        height: {
            type: (StringConstructor | NumberConstructor)[];
            default: string;
        };
        emptyText: StringConstructor;
    }>> & {
        onLoad?: ((param: import("./components/table/types").TableEmitsLoad) => any) | undefined;
        onRowClick?: ((row: any, index: number) => any) | undefined;
        onRowDblClick?: ((row: any, index: number) => any) | undefined;
        onSelectionChange?: ((data: import("./components/table/propTypes").TabelData) => any) | undefined;
    }, {
        width: string | number;
        height: string | number;
        columns: import("./components/table/types").TableComponent.Columns<any>[];
        data: import("./components/table/propTypes").TabelData;
        border: boolean;
        loading: boolean;
        expandClass: any;
        treeClassName: any;
    }, {}>;
    $confirm: (props?: import("./components/modal/types").properties | undefined) => import("./components/modal/instance").confirmCallback;
    $alert: {
        (context: string, options?: import("./components/modal/types").properties | undefined): import("./components/modal/instance").confirmCallback;
        (props: import("./components/modal/types").properties): import("./components/modal/instance").confirmCallback;
    };
    A: import("vue").DefineComponent<import("./components/A/types").Atype>;
    Radio: import("vue").DefineComponent<{
        modelValue: {
            default: boolean;
            type: BooleanConstructor;
        };
        value: {
            default: string;
            type: (StringConstructor | NumberConstructor)[];
        };
        type: {
            default: string;
            type: import("./components/radioGroup/types").typeValuePropType;
        };
        prohibitCancel: {
            default: boolean;
            type: BooleanConstructor;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        "update:modelValue": null;
        Change: null;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        modelValue: {
            default: boolean;
            type: BooleanConstructor;
        };
        value: {
            default: string;
            type: (StringConstructor | NumberConstructor)[];
        };
        type: {
            default: string;
            type: import("./components/radioGroup/types").typeValuePropType;
        };
        prohibitCancel: {
            default: boolean;
            type: BooleanConstructor;
        };
    }>> & {
        onChange?: ((...args: never) => any) | undefined;
        "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    }, {
        type: "" | "button";
        modelValue: boolean;
        value: string | number;
        prohibitCancel: boolean;
    }, {}>;
    RadioGroup: import("vue").DefineComponent<{
        modelValue: {
            default: string;
            type: import("./components/radioGroup/types").CurrentValuePropType;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        "update:modelValue": null;
        change: null;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        modelValue: {
            default: string;
            type: import("./components/radioGroup/types").CurrentValuePropType;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
        "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    }, {
        modelValue: string;
    }, {}>;
    Card: import("vue").DefineComponent<{
        width: {
            default: string;
            type: StringConstructor;
        };
        "v-slots": {
            type: import("vue").PropType<{
                default?(): any;
                title?(): any;
                extra?(): any;
            }>;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        width: {
            default: string;
            type: StringConstructor;
        };
        "v-slots": {
            type: import("vue").PropType<{
                default?(): any;
                title?(): any;
                extra?(): any;
            }>;
        };
    }>>, {
        width: string;
    }, {}>;
    Ellipsis: import("vue").DefineComponent<{
        placement: {
            type: import("vue").PropType<import("@popperjs/core").Placement | undefined>;
            default: "top";
        };
        content: {
            type: import("vue").PropType<string | undefined>;
            default: string;
        };
        maxWidth: {
            type: import("vue").PropType<string | number | undefined>;
            default: number;
        };
        delay: {
            type: NumberConstructor;
            default: number;
        };
        poperClass: StringConstructor;
        text: {
            type: StringConstructor;
            default: string;
        };
        length: {
            type: NumberConstructor;
        };
        height: {
            type: NumberConstructor;
        };
        lines: {
            type: NumberConstructor;
        };
        tooltip: {
            type: BooleanConstructor;
            default: boolean;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        placement: {
            type: import("vue").PropType<import("@popperjs/core").Placement | undefined>;
            default: "top";
        };
        content: {
            type: import("vue").PropType<string | undefined>;
            default: string;
        };
        maxWidth: {
            type: import("vue").PropType<string | number | undefined>;
            default: number;
        };
        delay: {
            type: NumberConstructor;
            default: number;
        };
        poperClass: StringConstructor;
        text: {
            type: StringConstructor;
            default: string;
        };
        length: {
            type: NumberConstructor;
        };
        height: {
            type: NumberConstructor;
        };
        lines: {
            type: NumberConstructor;
        };
        tooltip: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>>, {
        text: string;
        placement: import("@popperjs/core").Placement | undefined;
        content: string | undefined;
        maxWidth: string | number | undefined;
        tooltip: boolean;
        delay: number;
    }, {}>;
    Divider: import("vue").DefineComponent<{
        type: {
            type: import("vue").PropType<"horizontal" | "vertical">;
            default: string;
        };
        orientation: {
            default: string;
            type: import("vue").PropType<"center" | "start" | "end">;
        };
        dashed: {
            default: boolean;
            type: BooleanConstructor;
        };
        color: {
            default: string;
            type: StringConstructor;
        };
        size: {
            default: number;
            type: (StringConstructor | NumberConstructor)[];
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        type: {
            type: import("vue").PropType<"horizontal" | "vertical">;
            default: string;
        };
        orientation: {
            default: string;
            type: import("vue").PropType<"center" | "start" | "end">;
        };
        dashed: {
            default: boolean;
            type: BooleanConstructor;
        };
        color: {
            default: string;
            type: StringConstructor;
        };
        size: {
            default: number;
            type: (StringConstructor | NumberConstructor)[];
        };
    }>>, {
        type: "horizontal" | "vertical";
        color: string;
        dashed: boolean;
        orientation: "center" | "start" | "end";
        size: string | number;
    }, {}>;
    Split: import("vue").DefineComponent<{
        modelValue: {
            type: NumberConstructor;
            default: number;
        };
        mode: {
            default: string;
            type: ((new (...args: any[]) => "horizontal" | "vertical") | (() => "horizontal" | "vertical")) | ((new (...args: any[]) => "horizontal" | "vertical") | (() => "horizontal" | "vertical"))[];
        };
        pane1MinSize: {
            default: number;
            type: NumberConstructor;
        };
        pane2MinSize: {
            default: number;
            type: NumberConstructor;
        };
        "v-slots": {
            type: import("vue").PropType<{
                default?(): any;
                pane1?(): any;
                pane2?(): any;
            }>;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        "update:modelValue": null;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        modelValue: {
            type: NumberConstructor;
            default: number;
        };
        mode: {
            default: string;
            type: ((new (...args: any[]) => "horizontal" | "vertical") | (() => "horizontal" | "vertical")) | ((new (...args: any[]) => "horizontal" | "vertical") | (() => "horizontal" | "vertical"))[];
        };
        pane1MinSize: {
            default: number;
            type: NumberConstructor;
        };
        pane2MinSize: {
            default: number;
            type: NumberConstructor;
        };
        "v-slots": {
            type: import("vue").PropType<{
                default?(): any;
                pane1?(): any;
                pane2?(): any;
            }>;
        };
    }>> & {
        "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    }, {
        mode: "horizontal" | "vertical";
        modelValue: number;
        pane1MinSize: number;
        pane2MinSize: number;
    }, {}>;
    Tooltip: import("vue").DefineComponent<{
        placement: {
            type: import("vue").PropType<import("@popperjs/core").Placement | undefined>;
            default: "top";
        };
        content: {
            type: import("vue").PropType<string | undefined>;
            default: string;
        };
        maxWidth: {
            type: import("vue").PropType<string | number | undefined>;
            default: number;
        };
        delay: {
            type: NumberConstructor;
            default: number;
        };
        poperClass: StringConstructor;
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        placement: {
            type: import("vue").PropType<import("@popperjs/core").Placement | undefined>;
            default: "top";
        };
        content: {
            type: import("vue").PropType<string | undefined>;
            default: string;
        };
        maxWidth: {
            type: import("vue").PropType<string | number | undefined>;
            default: number;
        };
        delay: {
            type: NumberConstructor;
            default: number;
        };
        poperClass: StringConstructor;
    }>>, {
        placement: import("@popperjs/core").Placement | undefined;
        content: string | undefined;
        maxWidth: string | number | undefined;
        delay: number;
    }, {}>;
    Message: {
        name: string;
        info(options: import("./components/message/types").noticeOptions): () => void;
        success(options: import("./components/message/types").noticeOptions): () => void;
        warning(options: import("./components/message/types").noticeOptions): () => void;
        error(options: import("./components/message/types").noticeOptions): () => void;
        loading(options: import("./components/message/types").noticeOptions): () => void;
        message(type: import("./components/message/types").iconType | undefined, options: import("./components/message/types").noticeOptions): () => void;
        config(options: any): void;
        destroy(): void;
    };
    Icon: import("vue").DefineComponent<{
        type: {
            default: string;
            type: import("vue").PropType<"loading" | "search" | "succeed-circle-outline" | "error-circle-outline" | "add" | "sub" | "edit" | "help-circle-outline" | "arrow-left-top" | "arrow-top" | "arrow-right-top" | "arrow-bottom" | "arrow-right-bottom" | "arrow-prev" | "arrow-next" | "arrow-left-bottom" | "close" | "close-circle" | "alert-circle" | "checkmark-circle" | "information-circle" | "double-arrow-left" | "double-arrow-right" | "double-arrow-down" | "double-arrow-up" | "arrow-up" | "arrow-down" | "arrow-right" | "arrow-left">;
        };
        size: {
            type: (StringConstructor | NumberConstructor)[];
        };
        color: StringConstructor;
        custom: {
            type: StringConstructor;
            default: string;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        click: null;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        type: {
            default: string;
            type: import("vue").PropType<"loading" | "search" | "succeed-circle-outline" | "error-circle-outline" | "add" | "sub" | "edit" | "help-circle-outline" | "arrow-left-top" | "arrow-top" | "arrow-right-top" | "arrow-bottom" | "arrow-right-bottom" | "arrow-prev" | "arrow-next" | "arrow-left-bottom" | "close" | "close-circle" | "alert-circle" | "checkmark-circle" | "information-circle" | "double-arrow-left" | "double-arrow-right" | "double-arrow-down" | "double-arrow-up" | "arrow-up" | "arrow-down" | "arrow-right" | "arrow-left">;
        };
        size: {
            type: (StringConstructor | NumberConstructor)[];
        };
        color: StringConstructor;
        custom: {
            type: StringConstructor;
            default: string;
        };
    }>> & {
        onClick?: ((...args: any[]) => any) | undefined;
    }, {
        type: "loading" | "search" | "succeed-circle-outline" | "error-circle-outline" | "add" | "sub" | "edit" | "help-circle-outline" | "arrow-left-top" | "arrow-top" | "arrow-right-top" | "arrow-bottom" | "arrow-right-bottom" | "arrow-prev" | "arrow-next" | "arrow-left-bottom" | "close" | "close-circle" | "alert-circle" | "checkmark-circle" | "information-circle" | "double-arrow-left" | "double-arrow-right" | "double-arrow-down" | "double-arrow-up" | "arrow-up" | "arrow-down" | "arrow-right" | "arrow-left";
        custom: string;
    }, {}>;
    Pagination: import("vue").DefineComponent<{
        modelValue: {
            type: NumberConstructor;
            default: number;
        };
        pageNumber: {
            type: NumberConstructor;
            default: number;
        };
        pageSize: {
            type: NumberConstructor;
            default: number;
        };
        total: {
            default: number;
            type: NumberConstructor;
        };
        showTotal: {
            default: boolean;
            type: BooleanConstructor;
        };
        endpaper: {
            default: boolean;
            type: BooleanConstructor;
        };
        homeText: StringConstructor;
        trailerText: StringConstructor;
        showPreviousNext: {
            default: boolean;
            type: BooleanConstructor;
        };
        prevText: StringConstructor;
        nextText: StringConstructor;
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        "update:modelValue": null;
        change: null;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        modelValue: {
            type: NumberConstructor;
            default: number;
        };
        pageNumber: {
            type: NumberConstructor;
            default: number;
        };
        pageSize: {
            type: NumberConstructor;
            default: number;
        };
        total: {
            default: number;
            type: NumberConstructor;
        };
        showTotal: {
            default: boolean;
            type: BooleanConstructor;
        };
        endpaper: {
            default: boolean;
            type: BooleanConstructor;
        };
        homeText: StringConstructor;
        trailerText: StringConstructor;
        showPreviousNext: {
            default: boolean;
            type: BooleanConstructor;
        };
        prevText: StringConstructor;
        nextText: StringConstructor;
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
        "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    }, {
        modelValue: number;
        pageNumber: number;
        pageSize: number;
        total: number;
        showTotal: boolean;
        endpaper: boolean;
        showPreviousNext: boolean;
    }, {}>;
    Input: import("vue").DefineComponent<{
        width: {
            default: string;
            type: (StringConstructor | NumberConstructor)[];
        };
        height: {
            default: string;
            type: StringConstructor;
        };
        modelValue: {
            default: string;
            type: (StringConstructor | NumberConstructor)[];
        };
        placeholder: {
            default: string;
            type: StringConstructor;
        };
        disabled: {
            default: boolean;
            type: BooleanConstructor;
        };
        type: {
            default: string;
            type: import("./components/input/types").InputTypeProps;
        };
        textAlign: {
            default: string;
            type: import("./components/input/types").TextAlignPropType;
        };
        rows: {
            type: NumberConstructor;
            default: number;
        };
        style: import("vue").PropType<import("vue").StyleValue | undefined>;
        maxLength: NumberConstructor;
        "v-slots": {
            type: import("vue").PropType<{
                default?(): any;
                prefix?(): any;
                extend?(): any;
            }>;
        };
        prefixIcon: import("vue").PropType<"loading" | "search" | "succeed-circle-outline" | "error-circle-outline" | "add" | "sub" | "edit" | "help-circle-outline" | "arrow-left-top" | "arrow-top" | "arrow-right-top" | "arrow-bottom" | "arrow-right-bottom" | "arrow-prev" | "arrow-next" | "arrow-left-bottom" | "close" | "close-circle" | "alert-circle" | "checkmark-circle" | "information-circle" | "double-arrow-left" | "double-arrow-right" | "double-arrow-down" | "double-arrow-up" | "arrow-up" | "arrow-down" | "arrow-right" | "arrow-left">;
        clearable: {
            default: boolean;
            type: BooleanConstructor;
        };
        pattern: StringConstructor;
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        "update:modelValue": null;
        blur: (event: FocusEvent) => true;
        focus: (event: FocusEvent) => true;
        keydown: (event: KeyboardEvent) => true;
        input: (event: InputEvent) => true;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        width: {
            default: string;
            type: (StringConstructor | NumberConstructor)[];
        };
        height: {
            default: string;
            type: StringConstructor;
        };
        modelValue: {
            default: string;
            type: (StringConstructor | NumberConstructor)[];
        };
        placeholder: {
            default: string;
            type: StringConstructor;
        };
        disabled: {
            default: boolean;
            type: BooleanConstructor;
        };
        type: {
            default: string;
            type: import("./components/input/types").InputTypeProps;
        };
        textAlign: {
            default: string;
            type: import("./components/input/types").TextAlignPropType;
        };
        rows: {
            type: NumberConstructor;
            default: number;
        };
        style: import("vue").PropType<import("vue").StyleValue | undefined>;
        maxLength: NumberConstructor;
        "v-slots": {
            type: import("vue").PropType<{
                default?(): any;
                prefix?(): any;
                extend?(): any;
            }>;
        };
        prefixIcon: import("vue").PropType<"loading" | "search" | "succeed-circle-outline" | "error-circle-outline" | "add" | "sub" | "edit" | "help-circle-outline" | "arrow-left-top" | "arrow-top" | "arrow-right-top" | "arrow-bottom" | "arrow-right-bottom" | "arrow-prev" | "arrow-next" | "arrow-left-bottom" | "close" | "close-circle" | "alert-circle" | "checkmark-circle" | "information-circle" | "double-arrow-left" | "double-arrow-right" | "double-arrow-down" | "double-arrow-up" | "arrow-up" | "arrow-down" | "arrow-right" | "arrow-left">;
        clearable: {
            default: boolean;
            type: BooleanConstructor;
        };
        pattern: StringConstructor;
    }>> & {
        onFocus?: ((event: FocusEvent) => any) | undefined;
        onBlur?: ((event: FocusEvent) => any) | undefined;
        onInput?: ((event: InputEvent) => any) | undefined;
        onKeydown?: ((event: KeyboardEvent) => any) | undefined;
        "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    }, {
        width: string | number;
        type: "" | "number" | "text" | "tel" | "url" | "email" | "date" | "password" | "textarea";
        placeholder: string;
        height: string;
        modelValue: string | number;
        disabled: boolean;
        textAlign: import("./components/types").AlignType;
        rows: number;
        clearable: boolean;
    }, {}>;
    InputNumber: import("vue").DefineComponent<{
        modelValue: {
            default: number;
            type: (StringConstructor | NumberConstructor)[];
        };
        step: {
            default: number;
            type: NumberConstructor;
        };
        textAlign: {
            default: string;
            type: import("./components/input/types").TextAlignPropType;
        };
        controls: {
            default: boolean;
            type: BooleanConstructor;
        };
        controlsTwoSides: {
            type: BooleanConstructor;
            default: boolean;
        };
        precision: {
            type: NumberConstructor;
        };
        max: NumberConstructor;
        min: NumberConstructor;
        width: {
            default: string;
            type: StringConstructor;
        };
        height: {
            default: string;
            type: StringConstructor;
        };
        placeholder: {
            default: string;
            type: StringConstructor;
        };
        disabled: {
            default: boolean;
            type: BooleanConstructor;
        };
        disabledInput: {
            default: boolean;
            type: BooleanConstructor;
        };
        maxLength: NumberConstructor;
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        "update:modelValue": null;
        sub: (v: number) => true;
        add: (v: number) => true;
        blur: (event: FocusEvent) => true;
        focus: (event: FocusEvent) => true;
        keydown: (event: KeyboardEvent) => true;
        input: (event: InputEvent) => true;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        modelValue: {
            default: number;
            type: (StringConstructor | NumberConstructor)[];
        };
        step: {
            default: number;
            type: NumberConstructor;
        };
        textAlign: {
            default: string;
            type: import("./components/input/types").TextAlignPropType;
        };
        controls: {
            default: boolean;
            type: BooleanConstructor;
        };
        controlsTwoSides: {
            type: BooleanConstructor;
            default: boolean;
        };
        precision: {
            type: NumberConstructor;
        };
        max: NumberConstructor;
        min: NumberConstructor;
        width: {
            default: string;
            type: StringConstructor;
        };
        height: {
            default: string;
            type: StringConstructor;
        };
        placeholder: {
            default: string;
            type: StringConstructor;
        };
        disabled: {
            default: boolean;
            type: BooleanConstructor;
        };
        disabledInput: {
            default: boolean;
            type: BooleanConstructor;
        };
        maxLength: NumberConstructor;
    }>> & {
        onFocus?: ((event: FocusEvent) => any) | undefined;
        onBlur?: ((event: FocusEvent) => any) | undefined;
        onInput?: ((event: InputEvent) => any) | undefined;
        onKeydown?: ((event: KeyboardEvent) => any) | undefined;
        "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
        onAdd?: ((v: number) => any) | undefined;
        onSub?: ((v: number) => any) | undefined;
    }, {
        width: string;
        placeholder: string;
        height: string;
        modelValue: string | number;
        disabled: boolean;
        step: number;
        textAlign: import("./components/types").AlignType;
        controls: boolean;
        controlsTwoSides: boolean;
        disabledInput: boolean;
    }, {}>;
    ScrollBar: import("vue").DefineComponent<{
        height: {
            type: (StringConstructor | NumberConstructor)[];
        };
        visualPrevNumber: {
            default: number;
            type: NumberConstructor;
        };
        visualNextNumber: {
            default: number;
            type: NumberConstructor;
        };
        throttle: {
            type: (NumberConstructor | BooleanConstructor)[];
            default: boolean;
        };
        width: {
            type: (StringConstructor | NumberConstructor)[];
            default: string;
        };
        style: import("vue").PropType<import("vue").StyleValue | undefined>;
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        GetVisualList: (VisualList: any[]) => true;
        scroll: (data: {
            top: number;
            left: number;
            maxTop: number;
            maxLeft: number;
        }) => true;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        height: {
            type: (StringConstructor | NumberConstructor)[];
        };
        visualPrevNumber: {
            default: number;
            type: NumberConstructor;
        };
        visualNextNumber: {
            default: number;
            type: NumberConstructor;
        };
        throttle: {
            type: (NumberConstructor | BooleanConstructor)[];
            default: boolean;
        };
        width: {
            type: (StringConstructor | NumberConstructor)[];
            default: string;
        };
        style: import("vue").PropType<import("vue").StyleValue | undefined>;
    }>> & {
        onScroll?: ((data: {
            top: number;
            left: number;
            maxTop: number;
            maxLeft: number;
        }) => any) | undefined;
        onGetVisualList?: ((...args: never) => any) | undefined;
    }, {
        width: string | number;
        visualPrevNumber: number;
        visualNextNumber: number;
        throttle: number | boolean;
    }, {}>;
    ScrollBarItem: import("vue").DefineComponent<{
        height: {
            type: StringConstructor[];
            default: string;
        };
        width: {
            type: StringConstructor[];
            default: string;
        };
        id: (StringConstructor | NumberConstructor)[];
        style: import("vue").PropType<import("vue").StyleValue | undefined>;
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        height: {
            type: StringConstructor[];
            default: string;
        };
        width: {
            type: StringConstructor[];
            default: string;
        };
        id: (StringConstructor | NumberConstructor)[];
        style: import("vue").PropType<import("vue").StyleValue | undefined>;
    }>>, {
        width: string;
        height: string;
    }, {}>;
    ProgressBar: import("vue").DefineComponent<{
        height: {
            type: NumberConstructor;
            default: number;
        };
        modelValue: {
            type: NumberConstructor;
            default: number;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        "update:modelValue": null;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        height: {
            type: NumberConstructor;
            default: number;
        };
        modelValue: {
            type: NumberConstructor;
            default: number;
        };
    }>> & {
        "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    }, {
        height: number;
        modelValue: number;
    }, {}>;
    ProgressCircle: import("vue").DefineComponent<{
        percent: {
            type: NumberConstructor;
            default: number;
        };
        size: {
            type: NumberConstructor;
            default: number;
        };
        strokeWidth: {
            type: NumberConstructor;
            default: number;
        };
        strokeColor: {
            type: StringConstructor;
            default: string;
        };
        trailWidth: {
            type: NumberConstructor;
            default: number;
        };
        trailColor: {
            type: StringConstructor;
            default: string;
        };
        dashboard: {
            type: BooleanConstructor;
            default: boolean;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        percent: {
            type: NumberConstructor;
            default: number;
        };
        size: {
            type: NumberConstructor;
            default: number;
        };
        strokeWidth: {
            type: NumberConstructor;
            default: number;
        };
        strokeColor: {
            type: StringConstructor;
            default: string;
        };
        trailWidth: {
            type: NumberConstructor;
            default: number;
        };
        trailColor: {
            type: StringConstructor;
            default: string;
        };
        dashboard: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>>, {
        size: number;
        percent: number;
        strokeWidth: number;
        strokeColor: string;
        trailWidth: number;
        trailColor: string;
        dashboard: boolean;
    }, {}>;
    $Loading: typeof components.$Loading;
    Select: import("vue").DefineComponent<{
        modelValue: {
            type: import("vue").PropType<import("./components/select/types").value>;
        };
        disabled: {
            type: BooleanConstructor;
        };
        placeholder: {
            type: StringConstructor;
            default: string;
        };
        width: (StringConstructor | NumberConstructor)[];
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        "update:modelValue": null;
        change: (value: import("./components/select/types").value) => true;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        modelValue: {
            type: import("vue").PropType<import("./components/select/types").value>;
        };
        disabled: {
            type: BooleanConstructor;
        };
        placeholder: {
            type: StringConstructor;
            default: string;
        };
        width: (StringConstructor | NumberConstructor)[];
    }>> & {
        onChange?: ((value: import("./components/select/types").value) => any) | undefined;
        "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    }, {
        placeholder: string;
        disabled: boolean;
    }, {}>;
    Option: import("vue").DefineComponent<{
        value: {
            default: string;
            type: (StringConstructor | NumberConstructor)[];
        };
        label: {
            default: string;
            type: (StringConstructor | NumberConstructor)[];
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            default: string;
            type: (StringConstructor | NumberConstructor)[];
        };
        label: {
            default: string;
            type: (StringConstructor | NumberConstructor)[];
        };
    }>>, {
        value: string | number;
        label: string | number;
    }, {}>;
    Switch: import("vue").DefineComponent<{
        modelValue: {
            default: boolean;
            type: BooleanConstructor;
        };
        beforeChange: import("vue").PropType<() => Promise<unknown>>;
        loading: {
            default: boolean;
            type: BooleanConstructor;
        };
        disabled: {
            default: boolean;
            type: BooleanConstructor;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        "update:modelValue": null;
        change: null;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        modelValue: {
            default: boolean;
            type: BooleanConstructor;
        };
        beforeChange: import("vue").PropType<() => Promise<unknown>>;
        loading: {
            default: boolean;
            type: BooleanConstructor;
        };
        disabled: {
            default: boolean;
            type: BooleanConstructor;
        };
    }>> & {
        onChange?: ((...args: any[]) => any) | undefined;
        "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    }, {
        modelValue: boolean;
        disabled: boolean;
        loading: boolean;
    }, {}>;
    ColorPicker: import("vue").DefineComponent<{
        modelValue: {
            default: string;
            type: StringConstructor;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        "update:modelValue": null;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        modelValue: {
            default: string;
            type: StringConstructor;
        };
    }>> & {
        "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    }, {
        modelValue: string;
    }, {}>;
    DatePicker: import("vue").DefineComponent<{
        modelValue: import("vue").PropType<string | Date | [string | Date, string | Date]>;
        format: {
            type: StringConstructor;
            default: string;
        };
        placeholder: StringConstructor;
        textAlign: import("./components/input/types").TextAlignPropType;
        type: {
            default: string;
            type: import("vue").PropType<"date" | "daterange">;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        "update:modelValue": null;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        modelValue: import("vue").PropType<string | Date | [string | Date, string | Date]>;
        format: {
            type: StringConstructor;
            default: string;
        };
        placeholder: StringConstructor;
        textAlign: import("./components/input/types").TextAlignPropType;
        type: {
            default: string;
            type: import("vue").PropType<"date" | "daterange">;
        };
    }>> & {
        "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    }, {
        type: "date" | "daterange";
        format: string;
    }, {}>;
    Tag: import("vue").DefineComponent<{
        closable: {
            default: boolean;
            type: BooleanConstructor;
        };
        name: (StringConstructor | NumberConstructor)[];
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        close: (name: import("./components/tag/type").NameType) => null;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        closable: {
            default: boolean;
            type: BooleanConstructor;
        };
        name: (StringConstructor | NumberConstructor)[];
    }>> & {
        onClose?: ((name: import("./components/tag/type").NameType) => any) | undefined;
    }, {
        closable: boolean;
    }, {}>;
    Drawer: import("vue").DefineComponent<{
        width: {
            type: StringConstructor;
            default: string;
        };
        height: {
            type: StringConstructor;
            default: string;
        };
        title: StringConstructor;
        modelValue: {
            type: BooleanConstructor;
            default: boolean;
        };
        "v-slots": {
            type: import("vue").PropType<{
                default?(): any;
                title?(): any;
            }>;
        };
        placement: {
            default: string;
            type: import("vue").PropType<"top" | "bottom" | "right" | "left">;
        };
        bodyClassName: import("vue").PropType<any>;
        className: import("vue").PropType<any>;
        headerClassName: import("vue").PropType<any>;
        maskClosable: {
            default: boolean;
            type: BooleanConstructor;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        "update:modelValue": (v: boolean) => true;
        change: (v: boolean) => true;
        close: () => true;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        width: {
            type: StringConstructor;
            default: string;
        };
        height: {
            type: StringConstructor;
            default: string;
        };
        title: StringConstructor;
        modelValue: {
            type: BooleanConstructor;
            default: boolean;
        };
        "v-slots": {
            type: import("vue").PropType<{
                default?(): any;
                title?(): any;
            }>;
        };
        placement: {
            default: string;
            type: import("vue").PropType<"top" | "bottom" | "right" | "left">;
        };
        bodyClassName: import("vue").PropType<any>;
        className: import("vue").PropType<any>;
        headerClassName: import("vue").PropType<any>;
        maskClosable: {
            default: boolean;
            type: BooleanConstructor;
        };
    }>> & {
        onChange?: ((v: boolean) => any) | undefined;
        "onUpdate:modelValue"?: ((v: boolean) => any) | undefined;
        onClose?: (() => any) | undefined;
    }, {
        width: string;
        height: string;
        modelValue: boolean;
        placement: "top" | "bottom" | "right" | "left";
        maskClosable: boolean;
    }, {}>;
    Container: import("vue").DefineComponent<{}, () => JSX.Element, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}>;
    Main: import("vue").DefineComponent<{}, () => JSX.Element, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}>;
    Footer: import("vue").DefineComponent<{}, () => JSX.Element, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}>;
    Header: import("vue").DefineComponent<{}, () => JSX.Element, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}>;
    Aside: import("vue").DefineComponent<{}, () => JSX.Element, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}>;
    Breadcrumb: import("vue").DefineComponent<{}, () => JSX.Element, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}>;
    BreadcrumbItem: import("vue").DefineComponent<{
        to: import("vue").PropType<string | undefined>;
        target: import("vue").PropType<"_blank" | "_self" | "_parent" | "_top" | undefined>;
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        to: import("vue").PropType<string | undefined>;
        target: import("vue").PropType<"_blank" | "_self" | "_parent" | "_top" | undefined>;
    }>>, {}, {}>;
    Cascader: import("vue").DefineComponent<{
        modelValue: {
            default: never[];
            type: import("vue").PropType<(string | number)[]>;
        };
        data: {
            default: never[];
            type: import("vue").PropType<import("./components/cascader/type").PropData>;
        };
        disabled: {
            type: BooleanConstructor;
        };
        placeholder: {
            type: StringConstructor;
            default: string;
        };
        width: {
            type: NumberConstructor;
            default: number;
        };
        trigger: {
            default: string;
            type: import("vue").PropType<"click" | "hover">;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        "update:modelValue": (modelvalue: (string | number)[]) => true;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        modelValue: {
            default: never[];
            type: import("vue").PropType<(string | number)[]>;
        };
        data: {
            default: never[];
            type: import("vue").PropType<import("./components/cascader/type").PropData>;
        };
        disabled: {
            type: BooleanConstructor;
        };
        placeholder: {
            type: StringConstructor;
            default: string;
        };
        width: {
            type: NumberConstructor;
            default: number;
        };
        trigger: {
            default: string;
            type: import("vue").PropType<"click" | "hover">;
        };
    }>> & {
        "onUpdate:modelValue"?: ((modelvalue: (string | number)[]) => any) | undefined;
    }, {
        width: number;
        placeholder: string;
        modelValue: (string | number)[];
        disabled: boolean;
        data: import("./components/cascader/type").PropData;
        trigger: "click" | "hover";
    }, {}>;
    City: import("vue").DefineComponent<{
        modelValue: {
            default: never[];
            type: import("vue").PropType<string[]>;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        "update:modelValue": (modelvalue: string[]) => true;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        modelValue: {
            default: never[];
            type: import("vue").PropType<string[]>;
        };
    }>> & {
        "onUpdate:modelValue"?: ((modelvalue: string[]) => any) | undefined;
    }, {
        modelValue: string[];
    }, {}>;
    FormItem: import("vue").DefineComponent<{
        label: {
            type: StringConstructor;
            required: true;
        };
        width: {
            type: StringConstructor;
            default: string;
        };
        errorMessage: {
            type: StringConstructor;
            default: string;
        };
        labelWidth: {
            default: string;
            type: StringConstructor;
        };
        labelAlign: {
            default: string;
            type: import("vue").PropType<import("./components/types").FormItemLabelAlign>;
        };
        mode: {
            type: import("vue").PropType<import("./components/types").FryOrientationType>;
            default: string;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        label: {
            type: StringConstructor;
            required: true;
        };
        width: {
            type: StringConstructor;
            default: string;
        };
        errorMessage: {
            type: StringConstructor;
            default: string;
        };
        labelWidth: {
            default: string;
            type: StringConstructor;
        };
        labelAlign: {
            default: string;
            type: import("vue").PropType<import("./components/types").FormItemLabelAlign>;
        };
        mode: {
            type: import("vue").PropType<import("./components/types").FryOrientationType>;
            default: string;
        };
    }>>, {
        mode: import("./components/types").FryOrientationType;
        width: string;
        errorMessage: string;
        labelWidth: string;
        labelAlign: import("./components/types").FormItemLabelAlign;
    }, {}>;
    Space: import("vue").DefineComponent<{
        size: {
            default: number;
            type: import("vue").PropType<import("./components/space/type").SpaceSizeType>;
        };
        wrap: {
            type: BooleanConstructor;
        };
        width: {
            type: import("vue").PropType<import("./components/space/type").Size>;
        };
        height: {
            type: import("vue").PropType<import("./components/space/type").Size>;
        };
        type: {
            type: import("vue").PropType<"inline-flex" | "flex">;
            default: string;
        };
        align: {
            type: import("vue").PropType<"center" | "start" | "end" | "stretch" | "baseline">;
        };
        direction: {
            type: import("vue").PropType<"horizontal" | "vertical">;
            default: string;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        size: {
            default: number;
            type: import("vue").PropType<import("./components/space/type").SpaceSizeType>;
        };
        wrap: {
            type: BooleanConstructor;
        };
        width: {
            type: import("vue").PropType<import("./components/space/type").Size>;
        };
        height: {
            type: import("vue").PropType<import("./components/space/type").Size>;
        };
        type: {
            type: import("vue").PropType<"inline-flex" | "flex">;
            default: string;
        };
        align: {
            type: import("vue").PropType<"center" | "start" | "end" | "stretch" | "baseline">;
        };
        direction: {
            type: import("vue").PropType<"horizontal" | "vertical">;
            default: string;
        };
    }>>, {
        type: "inline-flex" | "flex";
        size: import("./components/space/type").SpaceSizeType;
        wrap: boolean;
        direction: "horizontal" | "vertical";
    }, {}>;
    Checkbox: import("vue").DefineComponent<{
        modelValue: {
            default: boolean;
            type: BooleanConstructor;
        };
        label: StringConstructor;
        indeterminate: {
            default: boolean;
            type: BooleanConstructor;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        "update:modelValue": (value: boolean) => null;
    }, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        modelValue: {
            default: boolean;
            type: BooleanConstructor;
        };
        label: StringConstructor;
        indeterminate: {
            default: boolean;
            type: BooleanConstructor;
        };
    }>> & {
        "onUpdate:modelValue"?: ((value: boolean) => any) | undefined;
    }, {
        modelValue: boolean;
        indeterminate: boolean;
    }, {}>;
    Menu: import("vue").DefineComponent<{
        theme: {
            type: import("vue").PropType<"light">;
            default: string;
        };
        mode: {
            type: import("./components/menu/types").modePropType;
            default: string;
        };
        width: {
            type: StringConstructor;
            default: string;
        };
        openName: {
            type: import("./components/menu/types").openNamePropType;
            default: never[];
        };
        activeName: {
            type: import("./components/menu/types").activeNamePropType;
            default: string;
        };
        accordion: {
            type: BooleanConstructor;
            default: boolean;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        theme: {
            type: import("vue").PropType<"light">;
            default: string;
        };
        mode: {
            type: import("./components/menu/types").modePropType;
            default: string;
        };
        width: {
            type: StringConstructor;
            default: string;
        };
        openName: {
            type: import("./components/menu/types").openNamePropType;
            default: never[];
        };
        activeName: {
            type: import("./components/menu/types").activeNamePropType;
            default: string;
        };
        accordion: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>>, {
        theme: "light";
        mode: import("./components/menu/types").mode;
        width: string;
        openName: import("./components/menu/types").openName;
        activeName: import("./components/menu/types").activeName;
        accordion: boolean;
    }, {}>;
    MenuItem: import("vue").DefineComponent<{
        name: {
            type: import("./components/menu/types").activeNamePropType;
            required: true;
        };
        to: {
            type: StringConstructor;
        };
        target: {
            type: import("vue").PropType<"_blank" | "_self" | "_parent" | "_top" | undefined>;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        name: {
            type: import("./components/menu/types").activeNamePropType;
            required: true;
        };
        to: {
            type: StringConstructor;
        };
        target: {
            type: import("vue").PropType<"_blank" | "_self" | "_parent" | "_top" | undefined>;
        };
    }>>, {}, {}>;
    SubMenu: import("vue").DefineComponent<{
        title: {
            default: string;
        };
        name: {
            type: import("./components/menu/types").openNamesPropType;
            required: true;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        title: {
            default: string;
        };
        name: {
            type: import("./components/menu/types").openNamesPropType;
            required: true;
        };
    }>>, {
        title: string;
    }, {}>;
    version: string;
    install: (app: App<any>, opt?: InstallOption) => void;
};
export default _default;
