import { PropType } from "vue";
declare const ModalComponent: import("vue").DefineComponent<{
    zIndex: {
        type: NumberConstructor;
        default: number;
    };
    width: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    height: (StringConstructor | NumberConstructor)[];
    title: {
        type: StringConstructor;
    };
    modelValue: {
        type: BooleanConstructor;
        default: boolean;
    };
    showCancelBtn: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**点击完成关闭按钮前，不反悔promise then不允许关闭 */
    beforeConfirmClose: PropType<() => Promise<unknown>>;
    class: any;
    headerClass: any;
    /**取消按钮文字 */
    cancelBtnText: StringConstructor;
    /**取消按钮class */
    cancelBtnClass: null;
    /**确定按钮文字 */
    confirmBtnText: StringConstructor;
    /**确定按钮class */
    confirmBtnClass: null;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    cancel: null;
    confirm: null;
    "update:modelValue": null;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    zIndex: {
        type: NumberConstructor;
        default: number;
    };
    width: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    height: (StringConstructor | NumberConstructor)[];
    title: {
        type: StringConstructor;
    };
    modelValue: {
        type: BooleanConstructor;
        default: boolean;
    };
    showCancelBtn: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**点击完成关闭按钮前，不反悔promise then不允许关闭 */
    beforeConfirmClose: PropType<() => Promise<unknown>>;
    class: any;
    headerClass: any;
    /**取消按钮文字 */
    cancelBtnText: StringConstructor;
    /**取消按钮class */
    cancelBtnClass: null;
    /**确定按钮文字 */
    confirmBtnText: StringConstructor;
    /**确定按钮class */
    confirmBtnClass: null;
}>> & {
    onCancel?: ((...args: any[]) => any) | undefined;
    onConfirm?: ((...args: any[]) => any) | undefined;
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
}, {
    width: string | number;
    class: any;
    zIndex: number;
    modelValue: boolean;
    showCancelBtn: boolean;
    headerClass: any;
}, {}>;
export default ModalComponent;
